"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LevelIcon = void 0;
const react_1 = __importDefault(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const evangelist_elements_icon_1 = require("@teambit/evangelist.elements.icon");
const ui_notifications_store_1 = require("@teambit/ui.notifications.store");
const base_ui_theme_color_palette_1 = require("@teambit/base-ui.theme.color-palette");
const level_icon_module_scss_1 = __importDefault(require("./level-icon.module.scss"));
function LevelIcon({ level, className }) {
    if (level === ui_notifications_store_1.MessageLevel.error) {
        return react_1.default.createElement(evangelist_elements_icon_1.Icon, { of: "error-circle", className: classnames_1.default(level_icon_module_scss_1.default.notificationIcon, base_ui_theme_color_palette_1.colorPalette.impulse, className) });
    }
    if (level === ui_notifications_store_1.MessageLevel.info) {
        return react_1.default.createElement(evangelist_elements_icon_1.Icon, { of: "info-circle", className: classnames_1.default(level_icon_module_scss_1.default.notificationIcon, base_ui_theme_color_palette_1.colorPalette.secondary, className) });
    }
    if (level === ui_notifications_store_1.MessageLevel.warning) {
        return react_1.default.createElement(evangelist_elements_icon_1.Icon, { of: "warn-circle", className: classnames_1.default(level_icon_module_scss_1.default.notificationIcon, base_ui_theme_color_palette_1.colorPalette.hunger, className) });
    }
    if (level === ui_notifications_store_1.MessageLevel.success) {
        return react_1.default.createElement(evangelist_elements_icon_1.Icon, { of: "billing-checkmark", className: classnames_1.default(level_icon_module_scss_1.default.notificationIcon, base_ui_theme_color_palette_1.colorPalette.success, className) });
    }
    return null;
}
exports.LevelIcon = LevelIcon;
//# sourceMappingURL=level-icon.js.map